# Pledge Notices Pledge Notices ## Gets all of the pledge notices in the system. - [GET /pledgeNotices/{tenantId}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/pledge-notices/listpledgenotices.md): This method will scan all pledge notices and and return them to the caller. ## Creates a new pledge notice record that does not already exist. - [POST /pledgeNotices/{tenantId}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/pledge-notices/createpledgenotice.md): This method will auto-generate an ID and create a new pledge notice. If an ID is specified for the pledge notice, an error will be thrown. ## Returns a pledge notice from the system by its ID. - [DELETE /pledgeNotices/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/pledge-notices/deletepledgenotice.md): This method will delete a pledge notice with the specified ID. ## Returns a pledge notice from the system by its ID. - [GET /pledgeNotices/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/pledge-notices/getpledgenotice.md): This method will look up a pledge notice by the specified ID and return it back. ## Partially updates a pledge notice with the specified ID. - [PATCH /pledgeNotices/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/pledge-notices/patchpledgenotice.md): This method will patch an existing pledge notice with the specified ID, using the HTTP PATCH specification. ## Updates a pledge notice with the specified ID. - [PUT /pledgeNotices/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/pledge-notices/updatepledgenotice.md): This method will update an existing pledge notice with the specified ID.